RTEMS: ESCI_tag::ESCI_SR_tag Union Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
ESCI_tag::ESCI_SR_tag Union Reference

## Data Fields
uint32_t | R
struct {
uint32_t TDRE:1
uint32_t TC:1
uint32_t RDRF:1
uint32_t IDLE:1
uint32_t OR:1
uint32_t NF:1
uint32_t FE:1
uint32_t PF:1
uint32_t __pad0__:3
uint32_t BERR:1
uint32_t __pad1__:3
uint32_t RAF:1
uint32_t RXRDY:1
uint32_t TXRDY:1
uint32_t LWAKE:1
uint32_t STO:1
uint32_t PBERR:1
uint32_t CERR:1
uint32_t CKERR:1
uint32_t FRC:1
uint32_t __pad2__:6
uint32_t UREQ:1
uint32_t OVFL:1
} | B
struct {
uint32_t TDRE:1
uint32_t TC:1
uint32_t RDRF:1
uint32_t IDLE:1
uint32_t OR:1
uint32_t NF:1
uint32_t FE:1
uint32_t PF:1
uint32_t __pad0__:3
uint32_t BERR:1
uint32_t __pad1__:3
uint32_t RAF:1
uint32_t RXRDY:1
uint32_t TXRDY:1
uint32_t LWAKE:1
uint32_t STO:1
uint32_t PBERR:1
uint32_t CERR:1
uint32_t CKERR:1
uint32_t FRC:1
uint32_t __pad2__:7
uint32_t OVFL:1
} | B
struct {
uint32_t TDRE:1
uint32_t TC:1
uint32_t RDRF:1
uint32_t IDLE:1
uint32_t OR:1
uint32_t NF:1
uint32_t FE:1
uint32_t PF:1
uint32_t __pad0__:3
uint32_t BERR:1
uint32_t __pad1__:3
uint32_t RAF:1
uint32_t RXRDY:1
uint32_t TXRDY:1
uint32_t LWAKE:1
uint32_t STO:1
uint32_t PBERR:1
uint32_t CERR:1
uint32_t CKERR:1
uint32_t FRC:1
uint32_t __pad2__:7
uint32_t OVFL:1
} | B
struct {
uint32_t TDRE:1
uint32_t TC:1
uint32_t RDRF:1
uint32_t IDLE:1
uint32_t OR:1
uint32_t NF:1
uint32_t FE:1
uint32_t PF:1
uint32_t __pad0__:3
uint32_t BERR:1
uint32_t __pad1__:2
uint32_t TACT:1
uint32_t RACT:1
uint32_t RXRDY:1
uint32_t TXRDY:1
uint32_t LWAKE:1
uint32_t STO:1
uint32_t PBERR:1
uint32_t CERR:1
uint32_t CKERR:1
uint32_t FRC:1
uint32_t __pad2__:6
uint32_t UREQ:1
uint32_t OVFL:1
} | B
struct {
uint32_t TDRE:1
uint32_t TC:1
uint32_t RDRF:1
uint32_t IDLE:1
uint32_t OR:1
uint32_t NF:1
uint32_t FE:1
uint32_t PF:1
uint32_t __pad0__:3
uint32_t BERR:1
uint32_t __pad1__:2
uint32_t TACT:1
uint32_t RAF:1
uint32_t RXRDY:1
uint32_t TXRDY:1
uint32_t LWAKE:1
uint32_t STO:1
uint32_t PBERR:1
uint32_t CERR:1
uint32_t CKERR:1
uint32_t FRC:1
uint32_t __pad2__:6
uint32_t UREQ:1
uint32_t OVFL:1
} | B

The documentation for this union was generated from the following files:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc551x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc555x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc556x.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc5668.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc567x.h